Problema compilazione beryl

7 risposte [Ultimo messaggio]
Ritratto di bersi
bersi
(Junior)
Offline
Junior
Iscritto: 15/12/2005
Messaggi: 6

Ho seguito alla lettera la guida ma durante la compilazione mi compare questo errore(anticipo che ho installato tutto il richiesto compreso le librerie glib) :
checking for BERYLSETTINGS... configure: error: Package requirements ( berylsettings >= 0.1.2 glib-2.0 >= 2.6 x11 ) were not met:

No package 'berylsettings' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BERYLSETTINGS_CFLAGS
and BERYLSETTINGS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

BUILD FAILED for beryl-settings-bindings
Utilizzo suse 10.2 64 bit...ciao e grazie in anticipo.

Ritratto di Frag91
Frag91
(Monster)
Offline
Monster
Iscritto: 12/12/2006
Messaggi: 273

Hai installato le versioni devel dei pacchetti?

Ritratto di JJ_Kame_R
JJ_Kame_R
(Geek)
Offline
Geek
Iscritto: 06/12/2006
Messaggi: 143

Ti ho risposto sulla guida.

Una cosa fondamentale è che quando ci sono problemi indichiate che versione dell'svn avete compilato.

Come ti è stato detto ti servono tutte le versioni devel dei pacchetti che chiede e in + ti servono i pacchetti di python.
pyqt, python e python bindings. (per compilare berylsettings).

"Do or Do Not. There is No Try." - Master Yoda
Sabayon 3.3 (gentoo 4 president) - xp2400@3400+ - 7600gt XXX - 1,5gb RAM
"Penguin Prevails && Overruns!!!" - JJ_Kame_R

Ritratto di bersi
bersi
(Junior)
Offline
Junior
Iscritto: 15/12/2005
Messaggi: 6

Grazie mille per le risposte tempestive ...davvero un ottimo forum...seguo i vostri consigli e vi faccio sapere grazie mille!!!

Ritratto di bersi
bersi
(Junior)
Offline
Junior
Iscritto: 15/12/2005
Messaggi: 6

Scusa l' ignoranza ma non sò cosa sia il snv!!! Dove posso vedere laversione del snv?

Ritratto di Frag91
Frag91
(Monster)
Offline
Monster
Iscritto: 12/12/2006
Messaggi: 273

In attesa di una risposta migliore ti posto le mie conoscenze, a quanto ho capito, svn ( subversion ) è un programma -utilizzato dagli sviluppatori- che permette di scaricare da un server il codice sorgente di un programma, che differisce in alcune parti da quelli che trovi nelle tarball ( per es. gli archivi tar.gz o simili che scarichi da sourceforge ).

Ritratto di bersi
bersi
(Junior)
Offline
Junior
Iscritto: 15/12/2005
Messaggi: 6

Nulla da fare.... ho installato i paccetti pyton etc.. , ho rifatto il download ma mi continua a darmi il medesino errore!!! Non sara mica il fatto che utilizzo suse 10.2 x64?
Confido nel vostro aiuto ciao!

Ritratto di Frag91
Frag91
(Monster)
Offline
Monster
Iscritto: 12/12/2006
Messaggi: 273

Anche a me da lo stesso problema ed uso la versione di opensuse a 64 bit.
Ho installato tutti i pacchetti necessari, ma niente.